1. Agent Session
Autozod
  • Agent
    • Create Agent
      POST
    • Update Agent On Duty Status
      POST
    • Update Agent Location
      POST
    • Search
      POST
    • Delete Agent
      POST
    • List Agents
      GET
  • Agent Comissions
    • List agent commissions
      GET
  • Language Translations
    • Update language translations
      POST
  • Task
    • Create Tasks
      POST
    • Update Task
      POST
    • List Tasks
      GET
    • Delete Task
      POST
    • Update Task Status
      POST
    • Assign Agent
      POST
    • Task Reset
      POST
    • Send notification
      POST
  • ⚙️Settings
    • Team Settings
      POST
    • Team Settings
      GET
    • Get Language Settings
      GET
  • Webhooks
    • Create Webhook
      POST
  • Agent Session
    • Get Logs
      GET
    • Get Active Hours
      GET
  1. Agent Session

Get Logs

Developing
GET
{{host}}/api/sessionLogs/list

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Body Params application/json

Examples

Responses

🟢200OK
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET 'https://www.autozod.app/api/sessionLogs/list?team_id=1000&agent_id=68a6d35049a09719b70539b4&type=on_duty&start_date=21-08-2025&end_date=21-08-2025' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{}'
Response Response Example
{
    "success": true,
    "data": {
        "summary": {
            "total_active_duration_seconds": 0,
            "total_active_duration_format": "string",
            "total_session_count": 0,
            "total_inactive_duration_seconds": 0,
            "total_inactive_duration_format": "string",
            "active_percentage": 0,
            "inactive_percentage": 0
        },
        "daily_breakdown": [
            null
        ]
    }
}
Modified at 2025-09-14 06:27:55
Previous
Create Webhook
Next
Get Active Hours
Built with